#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Locker
Summary:	IPC::Locker - distributed lock handler
Summary(pl.UTF-8):	IPC::Locker - obsługa rozproszonych blokad
Name:		perl-IPC-Locker
Version:	1.492
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bb7a8a19fc0c3db4018fb020d10c8a6e
URL:		http://search.cpan.org/dist/IPC-Locker/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-perldoc
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PC::Locker will query a remote server to obtain a lock. This is useful
for distributed utilities which run on many machines, and cannot use
file locks or other such mechanisms due to NFS or lack of common file
systems.

%description -l pl.UTF-8
IPC::Locker zapyta zdalny serwer w celu otrzymania blokady. Jest
użyteczny dla rozproszonych aplikacji, działających na wielu maszynach
i nie mogących używać blokad plikowych (file locks) lub innych tego
typu mechanizmów z powodu stosowania NFS lub braku tej opcji w
popularnych systemach plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/IPC/*
%{_mandir}/man[13]/*
%changelog
* Thu Dec 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IPC-Locker.git;a=log;h=master

* Thu Dec 05 2013 Jan Rękorajski <baggins@pld-linux.org> d5ee6e7
- up to 1.492

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 9a3a0d0
- up to 1.489

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 8b7cfea
- up to 1.488

* Thu Nov 26 2009 amateja <amateja@pld-linux.org> 729d569
- updated to 1.484

* Fri Jan 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 12abee2
- generic URL

* Fri Jan 11 2008 Maciej Pijanka <agaran@pld-linux.org> 2abe0e6
- up to 1.472, fixed perms at executables, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2551a53
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b1c8b57
- converted to UTF-8

* Wed May 24 2006 blaass <blaass@pld-linux.org> 085f08d
- up to 1.451

* Wed Dec 01 2004 radek <radek@pld-linux.org> 7875e76
- autoupdated to 1.433

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 13bfdbe
- formatting

* Sun Oct 24 2004 ankry <ankry@pld-linux.org> 7939941
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> c75f20b
- spelling fix

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4643629
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 906e1c1
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 0c25a76
- license fixes & unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> a6ab772
- ported to new bconds

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 6c69273
- cosmetics, unification

* Sun Feb 08 2004 misi3k <misi3k@pld-linux.org> eed3602
- updated to 1.430

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> 1c6a9d4
- updated to 1.420

